- Home
- API Enriched
- Shape
- shape
- GET Domain Details.
GET Domain Details.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/domain_details';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/csd/namespaces/example/domain_details \ --header 'Authorization: <Authorization>'GET the details of the domain provided.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace Namespace.
Query Parameters
Section titled “Query Parameters”Name of the domain to GET the details.
Responses
Section titled “Responses”A successful response.
GET domain details for the domain.
object
Date when an action was required.
Human readable category description.
Name of the domain the details are for.
Date the domain was seen the first time (data was collected for the site)
Date the domain was seen the latest time (last time data was collected for the site)
List of location -> scripts data Location will returned only when risk filter is applied.
Location scripts pair.
object
Scripts found at the location.
Location of the scripts.
List of risk reasons in a human readable form.
Domain reputation score - the bigger the better.
Human readable status description.
Examplegenerated
{ "actionDate": "example", "category": "example", "domain": "example", "firstSeenDate": "example", "latestSeenDate": "example", "locations": [ { "associatedScripts": [ "example" ], "location": "example" } ], "riskReason": [ "example" ], "riskScore": 1, "status": "example"}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example